#include <iostream>
#include <vector>
using namespace std;
int main(int argc, char** argv) {
	ios_base::sync_with_stdio(false);
	
	int n,k;
	cin >>n>>k;
	
	vector<int> v(n);
	for(int i=0;i<n;i++)
	{
		cin >>v[i];
	}
	v.push_back(v[0]);
	for(int i=0;i<n+1;i++)
	{
		if(v[i]==k)
		{
			cout <<v[i+1]<<"\n";
			break;
		}
	}
	return 0;
}